
/* Initng, a next generation sysvinit replacement.
 * Copyright (C) 2005 Jimmy Wennlund <jimmy.wennlund@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef INITNG_ERROR
#define INITNG_ERROR

typedef enum e_errmsg_type
{
    MSG_FAIL,
    MSG_WARN,
    MSG_VERBOSE
} e_mt;

/*#ifdef DEBUG */
int verbose_add(const char *string);
int verbose_del(const char *string);

/*#endif */

int print_error(e_mt mt, const char *file, const char *func, int line,
                const char *format, ...);

#endif
