#ifndef INITNG_PLUGIN
#define INITNG_PLUGIN
#include "initng_plugin_type.h"
#include "initng_system_states.h"
#include "initng_poll.h"
#include <stdarg.h>
typedef union
{
    int (*hook) (va_list list);
    void *(*phook) (va_list list);
    service_h *(*parser) (char *to_parse);
    void (*watcher) (active_h * service);
    void (*swatcher) (h_sys_state state);
    void (*pipewatcher) (active_h * service, int datalen, process_h * process,
                         int forceflush);
    int (*launcher) (active_h * service);
    int (*af_launcher) (active_h * service, process_h * process);
    int (*handle_killed) (active_h * service, process_h * process);
    void (*main) (void);
    f_module_h fdh;
} uc;

typedef struct
{
    e_ptype ptype;
    uc c;
} s_callers;
#endif
