#ifndef INITNG_PLUGIN_CALLERS
#define INITNG_PLUGIN_CALLERS
#include "service_db.h"
#include "active_db.h"
#include "initng_global.h"
#include "initng_system_states.h"
#include "initng_plugin_type.h"
#include <stdarg.h>

int initng_plugin_call(e_ptype type, ...);
void *initng_plugin_pcall(e_ptype type, ...);
int initng_plugin_launch_start(active_h * s);
int initng_plugin_handle_killed(active_h * s, process_h * p);
int initng_plugin_after_fork(active_h * s, process_h * p);
int initng_plugin_launch_stop(active_h * s);
void initng_plugin_main(void);
void initng_close_all_fd(void);
void initng_plugin_readpipe(active_h * service, int datalen,
                            process_h * process, int force_flush);
int initng_process_readpipe_read(active_h * service, process_h * x,
                                 int program_end);
void initng_process_readpipe(active_h * service, process_h * x,
                             int program_end);
int initng_plugin_fd_poll(int timeout);
service_h *initng_modules_parse(char *name);
void initng_load_module_service_changed(active_h * service);
void initng_load_module_system_changed(h_sys_state state);
#endif
