
/* Initng, a next generation sysvinit replacement.
 * Copyright (C) 2005 Jimmy Wennlund <jimmy.wennlund@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#include "initng.h"

#undef initng_calloc
#define initng_calloc(nemb, size) \
    initng_calloc2(nemb, size, __func__, __LINE__)
void *initng_calloc2(size_t nmemb, size_t size, const char *func, int line);
void *initng_realloc(void *ptr, size_t size);
char *i_strdup(const char *s);
char *i_strndup(const char *s, size_t n);
int set_proc_title(const char *fmt, ...);
