# Distributed under the terms of the GNU General Public License v2

inherit subversion flag-o-matic

DESCRIPTION="A next generation init replacement"
HOMEPAGE="http://initng.thinktux.net/"
#SRC_URI="http://initng.thinktux.net/download/${P}.tar.bz2"
ESVN_REPO_URI="http://svn.initng.thinktux.net/initng/"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~hppa ~ia64 ~s390 ~x86"

src_compile() {
	cd ${S}
	./autogen.sh --prefix=${D} || die
	#./configure --prefix=${D} || die <-- done by ./autogen.sh
	make || die
}

src_install() {
	make install || die
	dodoc README FAQ AUTHORS ChangeLog NEWS TEMPLATE_HEADER TODO doc/databases.txt doc/empty.conf doc/hard.conf doc/initng.txt
}

pkg_postinst() {

	einfo "remember to add init=/sbin/initng in your grub or lilo config to use initng"
	einfo "Happy testing."
}
