#!/bin/bash
INITNG_DIR=`pwd`
cd ${INITNG_DIR}
for o in src plugins; do
    pushd $o &&
    make
    popd
done
cd ${INITNG_DIR}

for p in doc fixes initfiles tools scripts ; do
    pushd $p &&
    make install
    popd
done
cd ${INITNG_DIR}

rm -r -f /sbin/initng /lib/initng* /lib/libinitng* /sbin/ngc /sbin/ngdc &&
mkdir /lib/initng &&
ln -s -f ${INITNG_DIR}/src/.libs/initng /sbin/initng &&
ln -s -f ${INITNG_DIR}/src/.libs/libinitng.so /lib/libinitng.so &&
ln -s -f ${INITNG_DIR}/src/.libs/libinitng.so.0 /lib/libinitng.so.0 &&
ln -s -f ${INITNG_DIR}/src/.libs/libinitng.so.0.0.0 /lib/libinitng.so.0.0.0 &&
ln -s -f ${INITNG_DIR}/scripts /lib/initng/scripts
for i in `find plugins -name *so.0.0.0 -printf "%f "`; do
    ln -s -f ${INITNG_DIR}/`find plugins -name $i` /lib/initng/$i
done
ln -s -f ${INITNG_DIR}/plugins/ngc2/ngc /sbin/ngc &&
ln -s -f ${INITNG_DIR}/plugins/ngc2/ngdc /sbin/ngdc &&
exit 0
exit 1
